Upgrade

Dudas y comentarios sobre su instalación, configuración y manejo.

Moderador: Deckon

Responder
lilich7
Forista Nuevo
Forista Nuevo
Mensajes: 1
Registrado: Lun Sep 14, 2015 12:45 pm

Upgrade

Mensaje por lilich7 » Lun Sep 14, 2015 12:51 pm

Uitilice la opcion upgrade y cuando quise utilizar dpkg para instalar aplicaciones me salio este error

sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
aptoncd console-setup dbus dmsetup gnupg hunspell-en-us ifupdown
initramfs-tools initscripts keyboard-configuration kpartx libavcodec53
libblas3 libdevmapper1.02.1 libgnomevfs2-0 libgnomevfs2-common
libhsqldb-java liblvm2app2.2 libmozjs185-1.0 libnih-dbus1 libnih1
libwmf0.2-7 lvm2 maxthon-browser-beta python-glade2 python-gtk2 python3-apt
python3-crypto speech-dispatcher thunar-archive-plugin
thunar-media-tags-plugin ttf-punjabi-fonts udev udisks xdg-utils xfce4-dict
xfce4-indicator-plugin xfce4-screenshooter xfce4-xkb-plugin xorg
xserver-xorg-input-mouse xserver-xorg-input-synaptics
xserver-xorg-input-vmmouse xserver-xorg-video-all
0 upgraded, 0 newly installed, 0 to remove and 44 not upgraded.
29 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up x11-common (1:7.7+3~deb7u1) ...
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406.
update-rc.d: error: insserv rejected the script header
dpkg: error processing x11-common (--configure):
subprocess installed post-installation script returned error exit status 255
dpkg: dependency problems prevent configuration of libxss1:i386:
libxss1:i386 depends on x11-common; however:
Package x11-common is not configured yet.

dpkg: error processing libxss1:i386 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libxtst6:i386:
libxtst6:i386 depends on x11-common; however:
Package x11-common is not configured yet.

dpkg: error processing libxtst6:i386 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of google-chrome-stable:
google-chrome-stable depends on libxss1; however:
Package libxss1:i386 is not configured yet.
google-chrome-stable depends on libxtst6; however:
Package libxtst6:i386 is not configured yet.

dpkg: error processing google-chrome-stable (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libice6:i386:
libice6:i386 depends on x11-common; however:
Package x11-common is not configured yet.

dpkg: error processing libice6:i386 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libsm6:i386:
libsm6:i386 depends on libice6 (>= 1:1.0.0); however:
Package libice6:i386 is not configured yet.

dpkg: error processing libsm6:i386 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libxt6:i386:
libxt6:i386 depends on libice6 (>= 1:1.0.0); however:
Package libice6:i386 is not configured yet.
libxt6:i386 depends on libsm6; however:
Package libsm6:i386 is not configured yet.

dpkg: error processing libxt6:i386 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libaudio2:i386:
libaudio2:i386 depends on libxt6; however:
Package libxt6:i386 is not configured yet.

dpkg: error processing libaudio2:i386 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libxmu6:i386:
libxmu6:i386 depends on libxt6; however:
Package libxt6:i386 is not configured yet.

dpkg: error processing libxmu6:i386 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libxaw7:i386:
libxaw7:i386 depends on libxmu6; however:
Package libxmu6:i386 is not configured yet.
libxaw7:i386 depends on libxt6; however:
Package libxt6:i386 is not configured yet.

dpkg: error processing libxaw7:i386 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libzbar0:
libzbar0 depends on libice6 (>= 1:1.0.0); however:
Package libice6:i386 is not configured yet.
libzbar0 depends on libsm6; however:
Package libsm6:i386 is not configured yet.

dpkg: error processing libzbar0 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gstreamer0.10-plugins-bad:i386:
gstreamer0.10-plugins-bad:i386 depends on libzbar0 (>= 0.10); however:
Package libzbar0 is not configured yet.

dpkg: error processing gstreamer0.10-plugins-bad:i386 (--configure):
dependency problems - leaving unconfigured
Setting up rsyslog (5.8.11-3+deb7u2) ...
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406.
update-rc.d: error: insserv rejected the script header
dpkg: error processing rsyslog (--configure):
subprocess installed post-installation script returned error exit status 255
Setting up avahi-daemon (0.6.31-2) ...
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406.
update-rc.d: error: insserv rejected the script header
dpkg: error processing avahi-daemon (--configure):
subprocess installed post-installation script returned error exit status 255
dpkg: dependency problems prevent configuration of avahi-utils:
avahi-utils depends on avahi-daemon; however:
Package avahi-daemon is not configured yet.

dpkg: error processing avahi-utils (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libxvmc1:
libxvmc1 depends on x11-common; however:
Package x11-common is not configured yet.

dpkg: error processing libxvmc1 (--configure):
dependency problems - leaving unconfigured
Setting up ppp (2.4.5-5.1+deb7u2) ...
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406.
update-rc.d: error: insserv rejected the script header
dpkg: error processing ppp (--configure):
subprocess installed post-installation script returned error exit status 255
dpkg: dependency problems prevent configuration of pptp-linux:
pptp-linux depends on ppp (>= 2.4.2); however:
Package ppp is not configured yet.

dpkg: error processing pptp-linux (--configure):
dependency problems - leaving unconfigured
Setting up rsync (3.0.9-4) ...
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406.
update-rc.d: error: insserv rejected the script header
dpkg: error processing rsync (--configure):
subprocess installed post-installation script returned error exit status 255
Setting up unattended-upgrades (0.79.5+wheezy2) ...
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406.
update-rc.d: error: insserv rejected the script header
dpkg: error processing unattended-upgrades (--configure):
subprocess installed post-installation script returned error exit status 255
dpkg: dependency problems prevent configuration of x11-xkb-utils:
x11-xkb-utils depends on libxaw7; however:
Package libxaw7:i386 is not configured yet.
x11-xkb-utils depends on libxt6; however:
Package libxt6:i386 is not configured yet.

dpkg: error processing x11-xkb-utils (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xfonts-utils:
xfonts-utils depends on x11-common; however:
Package x11-common is not configured yet.

dpkg: error processing xfonts-utils (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xinit:
xinit depends on x11-common; however:
Package x11-common is not configured yet.

dpkg: error processing xinit (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xscreensaver-data:
xscreensaver-data depends on libice6 (>= 1:1.0.0); however:
Package libice6:i386 is not configured yet.
xscreensaver-data depends on libsm6; however:
Package libsm6:i386 is not configured yet.
xscreensaver-data depends on libxmu6; however:
Package libxmu6:i386 is not configured yet.
xscreensaver-data depends on libxt6; however:
Package libxt6:i386 is not configured yet.

dpkg: error processing xscreensaver-data (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xscreensaver:
xscreensaver depends on libice6 (>= 1:1.0.0); however:
Package libice6:i386 is not configured yet.
xscreensaver depends on libsm6; however:
Package libsm6:i386 is not configured yet.
xscreensaver depends on libxmu6; however:
Package libxmu6:i386 is not configured yet.
xscreensaver depends on libxt6; however:
Package libxt6:i386 is not configured yet.
xscreensaver depends on xscreensaver-data; however:
Package xscreensaver-data is not configured yet.

dpkg: error processing xscreensaver (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xserver-xorg:
xserver-xorg depends on x11-xkb-utils; however:
Package x11-xkb-utils is not configured yet.

dpkg: error processing xserver-xorg (--configure):
dependency problems - leaving unconfigured
Setting up brltty (4.4-10+deb7u1) ...
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406.
update-rc.d: error: insserv rejected the script header
dpkg: error processing brltty (--configure):
subprocess installed post-installation script returned error exit status 255
Setting up hddtemp (0.3-beta15-52) ...
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406.
update-rc.d: error: insserv rejected the script header
dpkg: error processing hddtemp (--configure):
subprocess installed post-installation script returned error exit status 255
Setting up lm-sensors (1:3.3.2-2+deb7u1) ...
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406.
update-rc.d: error: insserv rejected the script header
dpkg: error processing lm-sensors (--configure):
subprocess installed post-installation script returned error exit status 255
Errors were encountered while processing:
x11-common
libxss1:i386
libxtst6:i386
google-chrome-stable
libice6:i386
libsm6:i386
libxt6:i386
libaudio2:i386
libxmu6:i386
libxaw7:i386
libzbar0
gstreamer0.10-plugins-bad:i386
rsyslog
avahi-daemon
avahi-utils
libxvmc1
ppp
pptp-linux
rsync
unattended-upgrades
x11-xkb-utils
xfonts-utils
xinit
xscreensaver-data
xscreensaver
xserver-xorg
brltty
hddtemp
lm-sensors
E: Sub-process /usr/bin/dpkg returned an error code (1)

Como lo puedo resolver????
Avatar de Usuario
neurus
Forista Legendario
Forista Legendario
Mensajes: 1807
Registrado: Dom Oct 10, 2004 7:00 am

Re: Upgrade

Mensaje por neurus » Lun Sep 14, 2015 1:21 pm

Para postear código, usa las etiquetas "<code>".

En cuanto al error, es este:
Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 406
Si no lo borraste, es que Ubuntu actuó con su seriedad habitual y movió de lugar el archivo insserv. Búscalo entre los directorios de ejecutables, o con whereis insserv, o con locate insserv y cópialo o enlázalo a /usr/sbin
Responder
  • Similar Topics
    Respuestas
    Vistas
    Último mensaje